Class Index | File Index

## Classes

- _global_
- OWF
- OWF.Chrome
- OWF.DragAndDrop
- OWF.Eventing
- OWF.Intents
- OWF.Lang
- OWF.Launcher
- OWF.Log
- OWF.Metrics
- OWF.Preferences
- OWF.RPC
- OWF.Util
- Ozone.chrome.WidgetChrome
- Ozone.dragAndDrop.WidgetDragAndDrop
- Ozone.eventing.Widget
- Ozone.eventing.WidgetProxy
- Ozone.lang
- Ozone.launcher.WidgetLauncher
- Ozone.launcher.WidgetLauncherUtils
- Ozone.log
- Ozone.metrics
- Ozone.pref.PrefServer
- Ozone.state.WidgetState
- Ozone.state.WidgetStateHandler
- Ozone.util
- Ozone.util.pageLoad

# Namespace OWF.Util

Defined in: Widget.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| OWF.Util Provides OWF utility methods for the widget developer

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | OWF.Util.cloneDashboard() Clones dashboard and returns a dashboard cfg object that can be used to create new dashboards.
<static> | OWF.Util.getFlashApp(id) This method returns flash/flex dom element from dom.
<static> | OWF.Util.guid() Returns a globally unique identifier (guid).
<static> | OWF.Util.isInContainer() This method informs a widget developer if their widget is running in a Container, like OWF
<static> | OWF.Util.isRunningInOWF() This method informs a widget developer if their widget is running from the OWF or from a direct URL call.

Namespace Detail
OWF.Util
Provides OWF utility methods for the widget developer
Method Detail
<static> OWF.Util.cloneDashboard()
Clones dashboard and returns a dashboard cfg object that can be used to create new dashboards.
Defined in: util.js.

Returns:
  Object dashboard cfg object that can be used to create new dashboards.

<static> OWF.Util.getFlashApp(id)
This method returns flash/flex dom element from dom.

Parameters:
{String} id
  id of the flex dom element

Returns:
  flash/flex object from dom

<static> OWF.Util.guid()
Returns a globally unique identifier (guid).

Returns:
  boolean true if the widget is inside OWF, false otherwise.

<static> OWF.Util.isInContainer()
This method informs a widget developer if their widget is running in a Container, like OWF

Returns:
  boolean true if the widget is inside a container, false otherwise.

<static> OWF.Util.isRunningInOWF()
This method informs a widget developer if their widget is running from the OWF or from a direct URL call.

Returns:
  boolean true if the widget is inside OWF, false otherwise.

Documentation generated by JsDoc Toolkit 2.3.2 on Fri Oct 05 2012 16:51:04 GMT-0400 (EDT)